> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get TSP User Information

`GET /restapi/{apiVersion}/signature/userinfo`

This call returns signer information, as well as the sending Docusign account ID. There are no required or optional request body parameters (simple GET).

## Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

| Name                        | Type   | Description                                                                                                                     |
| --------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| Authentication              | String | Required. See [Authentication](/docs/tsp-api/tsp101/tsp-authentication)                                                         |
| Content-Type                | String | Required. Specifies the type of data returned in the request body. This parameter must be set to `application/json`.            |
| X-Docusign-CorrelationToken | GUID   | Optional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls. |

## Response Information

If successful, this returns `userInfoResponse`. The table below provides descriptions of the information
in the response.

| Name                   | Type    | Description                                                                                                                                                                                                                |
| ---------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| language               | String  | Language code information for the user. This uses the ISO language code plus and region subtag. Examples: en-US for English – US, pt-BR for Portuguese – Brazil, fr-FR for French - France, and fr-CA for French – Canada. |
| user.displayName       | String  | Display name for the signer.                                                                                                                                                                                               |
| user.email             | String  | Email address for the signer.                                                                                                                                                                                              |
| user.CellPhoneNumber   | String  | Cell phone number for the signer.                                                                                                                                                                                          |
| user.userId            | GUID    | User ID for the signer.                                                                                                                                                                                                    |
| user.credentials       |         | Array of sender provided user credentials.                                                                                                                                                                                 |
| user.credentials.type  | String  | Type of sender provided credential for the user. Possible values are:- access_code: a one-time access code provided by the sender.
- sms: an SMS number provided by the sender.                                            |
| user.credentials.value | String  | Type of sender provided credential for the user. Possible values are:- access_code: a one-time access code provided by the sender.
- sms: an SMS number provided by the sender.                                            |
| sender.companyName     | String  | Display name for the sending Docusign account (not the sender, but the account he belongs to). Do not use to register them, only to troubleshoot.                                                                          |
| sender.accountIdGuid   | String  | Unique identifier for the sending Docusign account. You can use it to register your customer on the TSP side.                                                                                                              |
| envelopeId             | String  | Docusign envelope ID                                                                                                                                                                                                       |
| isInteractiveLogin     | Boolean | Boolean indicating whether the user is logged in Docusign while they sign or not.                                                                                                                                          |

**`Example response layout`**

```json title="Example response layout"
{
  "language": "string",
  "user": {
    "displayName": "string",
    "email": "string",
    "userId": "guid",
    "credentials": [
      {
        "type": "string",
        "value": "string"
      }
    ]
  },
  "sender": {
    "companyName": "string",
    "accountIdGuid": "string"
  },
  "envelopeId": "string",
  "isInteractiveLogin": "bool"
}
```